'use client'

import { useEffect } from 'react'
import Cookies from 'js-cookie'
import { nanoid } from 'nanoid'

export default function GenerateToken() {
  const token = Cookies.get('siamoods_token')
  const guestToken = Cookies.get('siamoods_token_guest')

  useEffect(() => {
    if (!token && !guestToken) {
      const token = nanoid()
      Cookies.set('siamoods_token_guest', token)
    }
  }, [])

  return null
}
