type Shipping = {
  name: string
  lastname: string
  address_1: string
  phone: string
  city: string
  state: string
  zip?: string
  same_for_payment: number
}

type Payment = {
  name?: string
  lastname?: string
  address_1?: string
  phone?: string
  city?: string
  state?: string
  zip?: string
}

export type User = {
  name: string
  lastname: string
  phone: string
  new_password?: string
  subscribe?: number
  email: string
  shipping: Shipping | undefined
  payment: Payment | undefined
}
