import ProfileAndPay from '@/components/ProfileAndPay'
import { Suspense } from 'react'

export default async function page() {
  return (
    <div className='flex-1'>
      <h1 className='pb-6 text-2xl font-bold'>Հաշվի մանրամասները</h1>
      <Suspense fallback={<div>Loading...</div>}>
        <ProfileAndPay />
      </Suspense>
    </div>
  )
}
