import axiosClient from '@/services/axiosClient'
import { User } from '@/types/profile.type'
import { AxiosError } from 'axios'

export async function getAccount(): Promise<User | undefined> {
  try {
    const res = await axiosClient('api/account')
    return res.data.data
  } catch (error) {
    if (error instanceof AxiosError) {
      console.log(error)
    }
  }
}
